Index: /trunk/bp-core.php
===================================================================
--- /trunk/bp-core.php	(revision 1314)
+++ /trunk/bp-core.php	(revision 1315)
@@ -1205,7 +1205,11 @@
 	if ( $themes ) {
 		foreach ( $themes as $name => $values ) {
+			if ( $name == 'BuddyPress Default Home Theme' )
+				continue;
+			
 			$member_themes[] = array(
 				'name' => $name,
-				'template' => $values['Template']
+				'template' => $values['Template'],
+				'version' => $values['Version']
 			);
 		}
Index: /trunk/bp-core/bp-core-admin.php
===================================================================
--- /trunk/bp-core/bp-core-admin.php	(revision 1314)
+++ /trunk/bp-core/bp-core-admin.php	(revision 1315)
@@ -73,24 +73,26 @@
 				<?php } ?>
 				<tr>
-					<th scope="row"><?php _e('Select theme to use for member pages', 'buddypress' ) ?>:</th>
-					<td>
+					<th scope="row"><?php _e('Select theme to use for BuddyPress generated pages', 'buddypress' ) ?>:</th>
+					<td>
+						<?php $themes = bp_core_get_member_themes() ?>
+						<?php if ( $themes ) : ?>
 						<select name="bp-admin[active-member-theme]" id="active-member-theme">
-							<?php $themes = bp_core_get_member_themes() ?>
 							<?php 
-								if ( $themes ) { 
-									for ( $i = 0; $i < count($themes); $i++ ) { 
-										if ( $themes[$i]['template'] == get_site_option( 'active-member-theme' ) ) {
-											$selected = ' selected="selected"';
-										} else {
-											$selected = '';
-										}
-							?>
-										<option<?php echo $selected ?> value="<?php echo $themes[$i]['template'] ?>"><?php echo $themes[$i]['name'] ?></option>
-							<?php	
-									}
+							for ( $i = 0; $i < count($themes); $i++ ) { 
+								if ( $themes[$i]['template'] == get_site_option( 'active-member-theme' ) ) {
+									$selected = ' selected="selected"';
+								} else {
+									$selected = '';
 								}
 							?>
-
+							<option<?php echo $selected ?> value="<?php echo $themes[$i]['template'] ?>"><?php echo $themes[$i]['name'] ?> (<?php echo $themes[$i]['version'] ?>)</option>
+							<?php } ?>
 						</select>
+						<?php else : ?>
+							<div class="error">
+								<p><?php printf( __( '<strong>You do not have any BuddyPress themes installed.</strong><p style="line-height: 150%%">Please move the default BuddyPress themes to their correct location (move %s to %s) and reload this page. You can <a href="http://buddypress.org/extend/themes" title="Download">download more themes here</a>.</p>', 'buddypress' ), BP_PLUGIN_DIR . '/bp-themes/', WP_CONTENT_DIR . '/bp-themes/' ) ?></p>
+							</div>
+							<p><?php _e( 'No Themes Installed.', 'buddypress' ) ?></p>
+						<?php endif; ?>
 					</td>			
 				</tr>
@@ -236,5 +238,5 @@
 						<input type="radio" name="bp_components[bp-xprofile.php]" value="1"<?php if ( !isset( $disabled_components['bp-xprofile.php'] ) ) : ?> checked="checked" <?php endif; ?>/> <?php _e( 'Enabled', 'buddypress' ) ?>  &nbsp;
 						<input type="radio" name="bp_components[bp-xprofile.php]" value="0"<?php if ( isset( $disabled_components['bp-xprofile.php'] ) ) : ?> checked="checked" <?php endif; ?>/> <?php _e( 'Disabled', 'buddypress' ) ?>
-					</td>			
+					</td>
 				</tr>
 				<?php endif; ?>
Index: /trunk/bp-core/bp-core-catchuri.php
===================================================================
--- /trunk/bp-core/bp-core-catchuri.php	(revision 1314)
+++ /trunk/bp-core/bp-core-catchuri.php	(revision 1315)
@@ -218,5 +218,5 @@
 				load_template( TEMPLATEPATH . "/404.php" );
 			} else {
-				wp_die( __( '<strong>You do not have any BuddyPress themes installed.</strong><br />Please download the <a href="http://buddypress.org/extend/themes" title="Download">Default BuddyPress Theme</a> and install it in /wp-content/bp-themes/' ) );
+				wp_die( __( '<strong>You do not have any BuddyPress themes installed.</strong><br />Please download at least one <a href="http://buddypress.org/extend/themes" title="Download">BuddyPress Theme</a> and install in /wp-content/bp-themes/' ) );
 			}
 		}
Index: /trunk/bp-forums/bp-forums-admin.php
===================================================================
--- /trunk/bp-forums/bp-forums-admin.php	(revision 1314)
+++ /trunk/bp-forums/bp-forums-admin.php	(revision 1315)
@@ -52,5 +52,5 @@
 	<div class="wrap">
 
-		<h2><?php _e( 'Group Forum Settings', 'buddypress' ) ?></h2>
+		<h2><?php _e( 'Forums Setup', 'buddypress' ) ?></h2>
 		
 		<?php if ( isset( $_POST['submit'] ) ) : ?>
Index: /trunk/bp-groups/bp-groups-templatetags.php
===================================================================
--- /trunk/bp-groups/bp-groups-templatetags.php	(revision 1314)
+++ /trunk/bp-groups/bp-groups-templatetags.php	(revision 1315)
@@ -89,5 +89,5 @@
 							?>
 							<div class="checkbox">
-								<label><input type="checkbox" disabled="disabled" name="disabled" id="disabled" value="0" /> <?php _e('<strong>Attention Site Admin:</strong> Group forums require correct setup and configuration of a bbPress installation.', 'buddypress') ?></label>
+								<label><input type="checkbox" disabled="disabled" name="disabled" id="disabled" value="0" /> <?php printf( __('<strong>Attention Site Admin:</strong> Group forums require the <a href="%s">correct setup and configuration</a> of a bbPress installation.', 'buddypress' ), $bp->root_domain . '/wp-admin/admin.php?page=' . BP_PLUGIN_DIR . '/bp-forums/bp-forums-admin.php' ) ?></label>
 							</div>
 							<?php
Index: /trunk/bp-loader.php
===================================================================
--- /trunk/bp-loader.php	(revision 1314)
+++ /trunk/bp-loader.php	(revision 1315)
@@ -17,5 +17,5 @@
  */
 
-require( 'bp-core.php' );
+require_once( 'bp-core.php' );
 $deactivated = get_site_option( 'bp-deactivated-components' );
 
Index: /trunk/bp-themes/buddypress-home/style.css
===================================================================
--- /trunk/bp-themes/buddypress-home/style.css	(revision 1314)
+++ /trunk/bp-themes/buddypress-home/style.css	(revision 1315)
@@ -1,4 +1,4 @@
 /*  
-Theme Name: BuddyPress Home Theme
+Theme Name: BuddyPress Default Home Theme
 Theme URI: http://buddypress.com/
 Description: A widget framework theme for the home of a BuddyPress enabled installation. This theme is not required to use BuddyPress.
Index: /trunk/bp-themes/buddypress-member/style.css
===================================================================
--- /trunk/bp-themes/buddypress-member/style.css	(revision 1314)
+++ /trunk/bp-themes/buddypress-member/style.css	(revision 1315)
@@ -1,4 +1,4 @@
 /*  
-Theme Name: BuddyPress Member Theme
+Theme Name: BuddyPress Default Member Theme
 Theme URI: http://buddypress.org
 Description: The default member theme for BuddyPress. This theme handles all non-blog pages.
Index: /trunk/bp-xprofile/bp-xprofile-admin.php
===================================================================
--- /trunk/bp-xprofile/bp-xprofile-admin.php	(revision 1314)
+++ /trunk/bp-xprofile/bp-xprofile-admin.php	(revision 1315)
@@ -34,11 +34,11 @@
 	<div class="wrap">
 		
-		<h2><?php _e("Profile Settings", 'buddypress') ?></h2>
+		<h2><?php _e( 'Profile Field Setup', 'buddypress') ?></h2>
 		<br />
-		<p><?php _e('Your users will distinguish themselves through their profile page. 
+		<p><?php _e( 'Your users will distinguish themselves through their profile page. 
 		   You must give them profile fields that allow them to describe themselves 
 			in a way that is relevant to the theme of your social network.', 'buddypress') ?></p>
 			
-		<p><?php _e('NOTE: Fields in the \'Basic\' group appear on the signup page.', 'buddypress'); ?></p>
+		<p><?php _e('NOTE: Any fields in the first group will appear on the signup page.', 'buddypress'); ?></p>
 		
 		<?php
Index: /trunk/bp-xprofile/bp-xprofile-signup.php
===================================================================
--- /trunk/bp-xprofile/bp-xprofile-signup.php	(revision 1314)
+++ /trunk/bp-xprofile/bp-xprofile-signup.php	(revision 1315)
@@ -41,4 +41,5 @@
 	}
 	
+	if ( '' == get_site_option( 'bp-enable-signup-avatar-uploads' ) || (int) get_site_option( 'bp-enable-signup-avatar-uploads' ) ) {
 	?>
 		<div id="avatar-form-fields">
@@ -70,4 +71,5 @@
 		</div>
 	<?php
+	}
 }
 add_action( 'signup_extra_fields', 'xprofile_add_signup_fields' );