Index: /trunk/bp-languages/buddypress.pot
===================================================================
--- /trunk/bp-languages/buddypress.pot	(revision 4570)
+++ /trunk/bp-languages/buddypress.pot	(revision 4571)
@@ -5,5 +5,5 @@
 "Project-Id-Version: BuddyPress \n"
 "Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
-"POT-Creation-Date: 2011-06-27 12:30:54+00:00\n"
+"POT-Creation-Date: 2011-06-27 13:30:53+00:00\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -677,5 +677,5 @@
 #: bp-groups/bp-groups-activity.php:103 bp-groups/bp-groups-activity.php:116
 #: bp-groups/bp-groups-activity.php:129 bp-groups/bp-groups-activity.php:142
-#: bp-groups/bp-groups-loader.php:264 bp-groups/bp-groups-loader.php:388
+#: bp-groups/bp-groups-loader.php:265 bp-groups/bp-groups-loader.php:389
 #: bp-groups/bp-groups-widgets.php:18 bp-groups/bp-groups-widgets.php:39
 #: bp-groups/bp-groups-widgets.php:106 bp-groups/bp-groups-screens.php:821
@@ -934,5 +934,5 @@
 
 #: bp-core/bp-core-template.php:321 bp-core/bp-core-template.php:323
-#: bp-core/bp-core-buddybar.php:417 bp-members/bp-members-adminbar.php:117
+#: bp-core/bp-core-buddybar.php:417 bp-members/bp-members-adminbar.php:195
 #: bp-members/bp-members-template.php:654 bp-themes/bp-default/sidebar.php:18
 msgid "Log Out"
@@ -1044,5 +1044,5 @@
 #: bp-core/bp-core-functions.php:286 bp-settings/bp-settings-loader.php:17
 #: bp-settings/bp-settings-loader.php:73 bp-settings/bp-settings-loader.php:143
-#: bp-groups/bp-groups-loader.php:187
+#: bp-groups/bp-groups-loader.php:188
 msgid "Settings"
 msgstr ""
@@ -1561,79 +1561,80 @@
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:83
+#: bp-groups/bp-groups-loader.php:84
 msgid "Search Groups..."
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:170
+#: bp-groups/bp-groups-loader.php:171
 msgid "You do not have access to this group."
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:183
+#: bp-groups/bp-groups-loader.php:184
 msgid "Details"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:191
+#: bp-groups/bp-groups-loader.php:192
 msgid "Avatar"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:198
+#: bp-groups/bp-groups-loader.php:199
 msgid "Invites"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:224
+#: bp-groups/bp-groups-loader.php:225
 msgid "Groups <span>(%d)</span>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:236 bp-groups/bp-groups-loader.php:403
-#: bp-groups/bp-groups-loader.php:430
+#: bp-groups/bp-groups-loader.php:237 bp-groups/bp-groups-loader.php:404
+#: bp-groups/bp-groups-loader.php:431
 msgid "My Groups"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:247
+#: bp-groups/bp-groups-loader.php:248
 msgid "Invitations"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:276
+#: bp-groups/bp-groups-loader.php:277
 msgctxt "Group home navigation title"
 msgid "Home"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:288
+#: bp-groups/bp-groups-loader.php:289
 msgid "Admin"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:307 bp-groups/bp-groups-template.php:1548
+#: bp-groups/bp-groups-loader.php:308 bp-groups/bp-groups-template.php:1548
 #: bp-groups/bp-groups-template.php:1549 bp-themes/bp-default/_inc/ajax.php:491
 msgid "Request Membership"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:319
+#: bp-groups/bp-groups-loader.php:320
 #: bp-themes/bp-default/forums/forums-loop.php:43
 msgid "Forum"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:331
+#: bp-groups/bp-groups-loader.php:332
 msgid "Members (%s)"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:343
+#: bp-groups/bp-groups-loader.php:344
 #: bp-themes/bp-default/groups/single/send-invites.php:60
 msgid "Send Invites"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:385
+#: bp-groups/bp-groups-loader.php:386
 msgid "Groups <strong>(%s)</strong>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:386
+#: bp-groups/bp-groups-loader.php:387
 msgid "Pending Invites <strong>(%s)</strong>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:389
+#: bp-groups/bp-groups-loader.php:390
 msgid "No Pending Invites"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:449 bp-groups/bp-groups-buddybar.php:21
-#: bp-groups/bp-groups-template.php:1252 bp-groups/bp-groups-template.php:2297
+#: bp-groups/bp-groups-loader.php:450 bp-groups/bp-groups-adminbar.php:58
+#: bp-groups/bp-groups-buddybar.php:21 bp-groups/bp-groups-template.php:1252
+#: bp-groups/bp-groups-template.php:2297
 msgid "Group Avatar"
 msgstr ""
@@ -1643,5 +1644,6 @@
 msgstr ""
 
-#: bp-groups/bp-groups-classes.php:708 bp-groups/bp-groups-functions.php:82
+#: bp-groups/bp-groups-classes.php:708 bp-groups/bp-groups-adminbar.php:34
+#: bp-groups/bp-groups-functions.php:82
 msgid "Group Admin"
 msgstr ""
@@ -1757,4 +1759,34 @@
 msgstr ""
 
+#: bp-groups/bp-groups-adminbar.php:42 bp-groups/bp-groups-buddybar.php:17
+#: bp-groups/bp-groups-template.php:1244
+msgid "Edit Details"
+msgstr ""
+
+#: bp-groups/bp-groups-adminbar.php:50 bp-groups/bp-groups-buddybar.php:19
+#: bp-groups/bp-groups-template.php:1251
+msgid "Group Settings"
+msgstr ""
+
+#: bp-groups/bp-groups-adminbar.php:67 bp-groups/bp-groups-buddybar.php:25
+msgid "Manage Invitations"
+msgstr ""
+
+#: bp-groups/bp-groups-adminbar.php:76 bp-groups/bp-groups-buddybar.php:29
+#: bp-groups/bp-groups-template.php:1253
+msgid "Manage Members"
+msgstr ""
+
+#: bp-groups/bp-groups-adminbar.php:85 bp-groups/bp-groups-buddybar.php:33
+#: bp-groups/bp-groups-template.php:1256
+msgid "Membership Requests"
+msgstr ""
+
+#: bp-groups/bp-groups-adminbar.php:94 bp-groups/bp-groups-buddybar.php:37
+#: bp-groups/bp-groups-template.php:1261 bp-xprofile/bp-xprofile-admin.php:97
+#: bp-themes/bp-default/groups/single/admin.php:358
+msgid "Delete Group"
+msgstr ""
+
 #: bp-groups/bp-groups-widgets.php:17
 msgid "A dynamic list of recently active, popular, and newest groups"
@@ -2033,30 +2065,4 @@
 #: bp-members/bp-members-buddybar.php:101
 msgid "Admin Options"
-msgstr ""
-
-#: bp-groups/bp-groups-buddybar.php:17 bp-groups/bp-groups-template.php:1244
-msgid "Edit Details"
-msgstr ""
-
-#: bp-groups/bp-groups-buddybar.php:19 bp-groups/bp-groups-template.php:1251
-msgid "Group Settings"
-msgstr ""
-
-#: bp-groups/bp-groups-buddybar.php:25
-msgid "Manage Invitations"
-msgstr ""
-
-#: bp-groups/bp-groups-buddybar.php:29 bp-groups/bp-groups-template.php:1253
-msgid "Manage Members"
-msgstr ""
-
-#: bp-groups/bp-groups-buddybar.php:33 bp-groups/bp-groups-template.php:1256
-msgid "Membership Requests"
-msgstr ""
-
-#: bp-groups/bp-groups-buddybar.php:37 bp-groups/bp-groups-template.php:1261
-#: bp-xprofile/bp-xprofile-admin.php:97
-#: bp-themes/bp-default/groups/single/admin.php:358
-msgid "Delete Group"
 msgstr ""
 
@@ -2478,4 +2484,5 @@
 
 #: bp-xprofile/bp-xprofile-buddybar.php:50
+#: bp-members/bp-members-adminbar.php:126
 #: bp-members/bp-members-buddybar.php:106
 msgid "Edit %s's Profile"
@@ -2483,4 +2490,6 @@
 
 #: bp-xprofile/bp-xprofile-buddybar.php:51
+#: bp-members/bp-members-adminbar.php:134
+#: bp-members/bp-members-adminbar.php:142
 #: bp-members/bp-members-buddybar.php:110
 msgid "Edit %s's Avatar"
@@ -2492,4 +2501,5 @@
 
 #: bp-xprofile/bp-xprofile-buddybar.php:61
+#: bp-members/bp-members-adminbar.php:151
 #: bp-members/bp-members-buddybar.php:114
 msgid "Mark as Spammer"
@@ -2497,4 +2507,5 @@
 
 #: bp-xprofile/bp-xprofile-buddybar.php:65
+#: bp-members/bp-members-adminbar.php:159
 #: bp-members/bp-members-buddybar.php:118
 msgid "Not a Spammer"
@@ -3075,4 +3086,25 @@
 msgstr ""
 
+#: bp-members/bp-members-adminbar.php:118
+msgid "User Admin"
+msgstr ""
+
+#: bp-members/bp-members-adminbar.php:153
+msgid "Are you sure you want to mark this user as a spammer?"
+msgstr ""
+
+#: bp-members/bp-members-adminbar.php:161
+msgid "Are you sure you want to mark this user as not a spammer?"
+msgstr ""
+
+#: bp-members/bp-members-adminbar.php:169
+#: bp-members/bp-members-buddybar.php:122
+msgid "Delete %s's Account"
+msgstr ""
+
+#: bp-members/bp-members-adminbar.php:171
+msgid "Are you sure you want to delete this user's account?"
+msgstr ""
+
 #: bp-members/bp-members-actions.php:65
 msgid "User marked as spammer. Spam users are visible only to site admins."
@@ -3097,8 +3129,4 @@
 #: bp-members/bp-members-buddybar.php:60
 msgid "Blog Authors"
-msgstr ""
-
-#: bp-members/bp-members-buddybar.php:122
-msgid "Delete %s's Account"
 msgstr ""
 