Index: /trunk/bp-activity/bp-activity-actions.php
===================================================================
--- /trunk/bp-activity/bp-activity-actions.php	(revision 4645)
+++ /trunk/bp-activity/bp-activity-actions.php	(revision 4646)
@@ -17,5 +17,5 @@
 
 	// Not viewing activity
-	if ( ( $bp->activity->slug != bp_current_component() ) || !bp_is_current_action( 'p' ) )
+	if ( ( bp_is_activity_component() ) || !bp_is_current_action( 'p' ) )
 		return false;
 
@@ -44,5 +44,5 @@
 		// Activity is a user update
 		if ( !empty( $activity->user_id ) ) {
-			$redirect = bp_core_get_user_domain( $activity->user_id, $activity->user_nicename, $activity->user_login ) . $bp->activity->slug . '/' . $activity->id . '/';
+			$redirect = bp_core_get_user_domain( $activity->user_id, $activity->user_nicename, $activity->user_login ) . bp_get_activity_slug() . '/' . $activity->id . '/';
 
 		// Activity is something else
@@ -51,5 +51,5 @@
 			// Set redirect to group activity stream
 			if ( $group = groups_get_group( array( 'group_id' => $activity->item_id ) ) ) {
-				$redirect = bp_get_group_permalink( $group ) . $bp->activity->slug . '/' . $activity->id . '/';
+				$redirect = bp_get_group_permalink( $group ) . bp_get_activity_slug() . '/' . $activity->id . '/';
 			}
 		}
@@ -57,5 +57,5 @@
 	// Set redirect to users' activity stream
 	} else {
-		$redirect = bp_core_get_user_domain( $activity->user_id, $activity->user_nicename, $activity->user_login ) . $bp->activity->slug . '/' . $activity->id;
+		$redirect = bp_core_get_user_domain( $activity->user_id, $activity->user_nicename, $activity->user_login ) . bp_get_activity_slug() . '/' . $activity->id;
 	}
 
@@ -126,5 +126,5 @@
 
 	// Do not proceed if user is not logged in, not viewing activity, or not posting
-	if ( !is_user_logged_in() || ( $bp->activity->slug != bp_current_component() ) || !bp_is_current_action( 'post' ) )
+	if ( !is_user_logged_in() || bp_is_activity_component() || !bp_is_current_action( 'post' ) )
 		return false;
 
@@ -172,5 +172,5 @@
 	global $bp;
 
-	if ( !is_user_logged_in() || ( $bp->activity->slug != bp_current_component() ) || !bp_is_current_action( 'reply' ) )
+	if ( !is_user_logged_in() || ( bp_is_activity_component() ) || !bp_is_current_action( 'reply' ) )
 		return false;
 
@@ -204,5 +204,5 @@
 	global $bp;
 
-	if ( !is_user_logged_in() || ( $bp->activity->slug != bp_current_component() ) || !bp_is_current_action( 'favorite' ) )
+	if ( !is_user_logged_in() || ( bp_is_activity_component() ) || !bp_is_current_action( 'favorite' ) )
 		return false;
 
@@ -222,5 +222,5 @@
 	global $bp;
 
-	if ( !is_user_logged_in() || ( $bp->activity->slug != bp_current_component() ) || !bp_is_current_action( 'unfavorite' ) )
+	if ( !is_user_logged_in() || ( bp_is_activity_component() ) || !bp_is_current_action( 'unfavorite' ) )
 		return false;
 
Index: /trunk/bp-activity/bp-activity-functions.php
===================================================================
--- /trunk/bp-activity/bp-activity-functions.php	(revision 4645)
+++ /trunk/bp-activity/bp-activity-functions.php	(revision 4646)
@@ -126,5 +126,5 @@
 			$activity_id      = $item_id;
 			$poster_user_id   = $secondary_item_id;
-			$at_mention_link  = $bp->loggedin_user->domain . $bp->activity->slug . '/mentions/';
+			$at_mention_link  = bp_displayed_user_domain() . bp_get_activity_slug() . '/mentions/';
 			$at_mention_title = sprintf( __( '@%s Mentions', 'buddypress' ), $bp->loggedin_user->userdata->user_nicename );
 
Index: /trunk/bp-activity/bp-activity-screens.php
===================================================================
--- /trunk/bp-activity/bp-activity-screens.php	(revision 4645)
+++ /trunk/bp-activity/bp-activity-screens.php	(revision 4646)
@@ -147,5 +147,5 @@
 		is_user_logged_in() ?
 			bp_core_redirect( $bp->loggedin_user->domain ) :
-			bp_core_redirect( site_url( 'wp-login.php?redirect_to=' . esc_url( bp_get_root_domain() . '/' . $bp->activity->slug . '/p/' . $bp->current_action ) ) );
+			bp_core_redirect( site_url( 'wp-login.php?redirect_to=' . esc_url( bp_get_root_domain() . '/' . bp_get_activity_root_slug() . '/p/' . $bp->current_action ) ) );
 	}
 
Index: /trunk/bp-activity/bp-activity-template.php
===================================================================
--- /trunk/bp-activity/bp-activity-template.php	(revision 4645)
+++ /trunk/bp-activity/bp-activity-template.php	(revision 4646)
@@ -249,5 +249,5 @@
 
 	// Support for permalinks on single item pages: /groups/my-group/activity/124/
-	if ( $bp->current_action == $bp->activity->slug )
+	if ( bp_is_current_action( bp_get_activity_slug() ) )
 		$include = $bp->action_variables[0];
 
@@ -1032,5 +1032,5 @@
 		global $bp;
 		
-		$link = wp_nonce_url( bp_get_root_domain() . '/' . $bp->activity->slug . '/delete/?cid=' . bp_get_activity_comment_id(), 'bp_activity_delete_link' );
+		$link = wp_nonce_url( bp_get_root_domain() . '/' . bp_get_activity_slug() . '/delete/?cid=' . bp_get_activity_comment_id(), 'bp_activity_delete_link' );
 		
 		return apply_filters( 'bp_activity_comment_delete_link', $link );
@@ -1364,5 +1364,5 @@
 			return false;
 
-		return apply_filters( 'bp_get_send_public_message_link', wp_nonce_url( $bp->loggedin_user->domain . $bp->activity->slug . '/?r=' . bp_core_get_username( $bp->displayed_user->id, $bp->displayed_user->userdata->user_nicename, $bp->displayed_user->userdata->user_login ) ) );
+		return apply_filters( 'bp_get_send_public_message_link', wp_nonce_url( bp_loggedin_user_domain() . bp_get_activity_slug() . '/?r=' . bp_core_get_username( $bp->displayed_user->id, $bp->displayed_user->userdata->user_nicename, $bp->displayed_user->userdata->user_login ) ) );
 	}
 
@@ -1440,14 +1440,14 @@
 		global $bp;
 
-		if ( $bp->current_component == $bp->profile->slug || 'just-me' == $bp->current_action )
-			$link = $bp->displayed_user->domain . $bp->activity->slug . '/feed/';
-		elseif ( bp_is_active( 'friends' ) && $bp->friends->slug == $bp->current_action )
-			$link = $bp->displayed_user->domain . $bp->activity->slug . '/' . $bp->friends->slug . '/feed/';
-		elseif ( bp_is_active( 'groups' ) && $bp->groups->slug == $bp->current_action )
-			$link = $bp->displayed_user->domain . $bp->activity->slug . '/' . $bp->groups->slug . '/feed/';
+		if ( bp_is_profile_component() || bp_is_current_action( 'just-me' ) )
+			$link = bp_displayed_user_domain() . bp_get_activity_slug() . '/feed/';
+		elseif ( bp_is_active( 'friends' ) && bp_is_current_action( bp_get_friends_slug() ) )
+			$link = bp_displayed_user_domain() . bp_get_activity_slug() . '/' . bp_get_friends_slug() . '/feed/';
+		elseif ( bp_is_active( 'groups'  ) && bp_is_current_action( bp_get_groups_slug()  ) )
+			$link = bp_displayed_user_domain() . bp_get_activity_slug() . '/' . bp_get_groups_slug() . '/feed/';
 		elseif ( 'favorites' == $bp->current_action )
-			$link = $bp->displayed_user->domain . $bp->activity->slug . '/favorites/feed/';
+			$link = bp_displayed_user_domain() . bp_get_activity_slug() . '/favorites/feed/';
 		elseif ( 'mentions' == $bp->current_action )
-			$link = $bp->displayed_user->domain . $bp->activity->slug . '/mentions/feed/';
+			$link = bp_displayed_user_domain() . bp_get_activity_slug() . '/mentions/feed/';
 		else
 			$link = '';
Index: /trunk/bp-activity/feeds/bp-activity-friends-feed.php
===================================================================
--- /trunk/bp-activity/feeds/bp-activity-friends-feed.php	(revision 4645)
+++ /trunk/bp-activity/feeds/bp-activity-friends-feed.php	(revision 4646)
@@ -21,5 +21,5 @@
 	<title><?php bp_site_name() ?> | <?php echo $bp->displayed_user->fullname; ?> | <?php _e( 'Friends Activity', 'buddypress' ) ?></title>
 	<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
-	<link><?php echo $bp->displayed_user->domain . $bp->activity->slug . '/my-friends/feed' ?></link>
+	<link><?php echo bp_displayed_user_domain() . bp_get_activity_slug() . '/my-friends/feed' ?></link>
 	<description><?php printf( __( '%s - Friends Activity Feed', 'buddypress' ), $bp->displayed_user->fullname ) ?></description>
 	<pubDate><?php echo mysql2date('D, d M Y H:i:s O', bp_activity_get_last_updated(), false); ?></pubDate>
Index: /trunk/bp-activity/feeds/bp-activity-group-feed.php
===================================================================
--- /trunk/bp-activity/feeds/bp-activity-group-feed.php	(revision 4645)
+++ /trunk/bp-activity/feeds/bp-activity-group-feed.php	(revision 4646)
@@ -21,5 +21,5 @@
 	<title><?php bp_site_name() ?> | <?php echo $bp->groups->current_group->name ?> | <?php _e( 'Group Activity', 'buddypress' ) ?></title>
 	<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
-	<link><?php echo bp_get_group_permalink( $bp->groups->current_group ) . $bp->activity->slug . '/feed' ?></link>
+	<link><?php echo bp_get_group_permalink( $bp->groups->current_group ) . bp_get_activity_slug() . '/feed' ?></link>
 	<description><?php printf( __( '%s - Group Activity Feed', 'buddypress' ), $bp->groups->current_group->name  ) ?></description>
 	<pubDate><?php echo mysql2date('D, d M Y H:i:s O', bp_activity_get_last_updated(), false); ?></pubDate>
Index: /trunk/bp-activity/feeds/bp-activity-personal-feed.php
===================================================================
--- /trunk/bp-activity/feeds/bp-activity-personal-feed.php	(revision 4645)
+++ /trunk/bp-activity/feeds/bp-activity-personal-feed.php	(revision 4646)
@@ -21,5 +21,5 @@
 	<title><?php bp_site_name() ?> | <?php echo $bp->displayed_user->fullname; ?> | <?php _e( 'Activity', 'buddypress' ) ?></title>
 	<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
-	<link><?php echo $bp->displayed_user->domain . $bp->activity->slug . '/feed' ?></link>
+	<link><?php echo bp_displayed_user_domain() . bp_get_activity_slug() . '/feed' ?></link>
 	<description><?php printf( __( '%s - Activity Feed', 'buddypress' ), $bp->displayed_user->fullname ) ?></description>
 	<pubDate><?php echo mysql2date('D, d M Y H:i:s O', bp_activity_get_last_updated(), false); ?></pubDate>
Index: /trunk/bp-activity/feeds/bp-activity-sitewide-feed.php
===================================================================
--- /trunk/bp-activity/feeds/bp-activity-sitewide-feed.php	(revision 4645)
+++ /trunk/bp-activity/feeds/bp-activity-sitewide-feed.php	(revision 4646)
@@ -22,5 +22,5 @@
 	<title><?php bp_site_name() ?> | <?php _e( 'Site Wide Activity', 'buddypress' ) ?></title>
 	<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
-	<link><?php echo site_url() . '/' . $bp->activity->slug . '/feed' ?></link>
+	<link><?php echo bp_get_root_domain() . '/' . bp_get_activity_root_slug() . '/feed' ?></link>
 	<description><?php _e( 'Site Wide Activity Feed', 'buddypress' ) ?></description>
 	<pubDate><?php echo mysql2date('D, d M Y H:i:s O', bp_activity_get_last_updated(), false); ?></pubDate>
Index: /trunk/bp-groups/bp-groups-screens.php
===================================================================
--- /trunk/bp-groups/bp-groups-screens.php	(revision 4645)
+++ /trunk/bp-groups/bp-groups-screens.php	(revision 4646)
@@ -442,5 +442,5 @@
 	global $bp;
 
-	if ( !bp_is_groups_component() || !bp_is_active( 'activity' ) || ( bp_is_active( 'activity' ) && !bp_is_current_action( $bp->activity->slug ) ) || empty( $bp->action_variables[0] ) )
+	if ( !bp_is_groups_component() || !bp_is_active( 'activity' ) || ( bp_is_active( 'activity' ) && !bp_is_current_action( bp_get_activity_slug() ) ) || empty( $bp->action_variables[0] ) )
 		return false;
 
Index: /trunk/bp-groups/bp-groups-template.php
===================================================================
--- /trunk/bp-groups/bp-groups-template.php	(revision 4645)
+++ /trunk/bp-groups/bp-groups-template.php	(revision 4646)
@@ -678,7 +678,6 @@
 
 function bp_group_is_activity_permalink() {
-	global $bp;
-
-	if ( !bp_is_single_item() || !bp_is_current_component( 'groups' ) || !bp_is_current_action( $bp->activity->slug ) )
+
+	if ( !bp_is_single_item() || !bp_is_current_component( 'groups' ) || !bp_is_current_action( bp_get_activity_slug() ) )
 		return false;
 
@@ -715,6 +714,6 @@
 }
 
-function bp_group_total_members() {
-	echo bp_get_group_total_members();
+function bp_group_total_members( $group = false ) {
+	echo bp_get_group_total_members( $group );
 }
 	function bp_get_group_total_members( $group = false ) {
Index: /trunk/bp-themes/bp-default/_inc/ajax.php
===================================================================
--- /trunk/bp-themes/bp-default/_inc/ajax.php	(revision 4645)
+++ /trunk/bp-themes/bp-default/_inc/ajax.php	(revision 4646)
@@ -224,5 +224,5 @@
 					<?php if ( bp_activity_user_can_delete() ) : ?>
 						<div class="acomment-options">
-							<a href="<?php echo wp_nonce_url( bp_get_root_domain() . '/' . $bp->activity->slug . '/delete/' . bp_get_activity_id() . '?cid=' . $comment_id, 'bp_activity_delete_link' ) ?>" class="delete acomment-delete confirm bp-secondary-action" rel="nofollow"><?php _e( 'Delete', 'buddypress' ); ?></a>
+							<a href="<?php echo wp_nonce_url( bp_get_root_domain() . '/' . bp_get_activity_root_slug() . '/delete/' . bp_get_activity_id() . '?cid=' . $comment_id, 'bp_activity_delete_link' ) ?>" class="delete acomment-delete confirm bp-secondary-action" rel="nofollow"><?php _e( 'Delete', 'buddypress' ); ?></a>
 						</div>
 					<?php endif; ?>