Index: /trunk/bp-activity/bp-activity-template.php
===================================================================
--- /trunk/bp-activity/bp-activity-template.php	(revision 4667)
+++ /trunk/bp-activity/bp-activity-template.php	(revision 4668)
@@ -708,10 +708,7 @@
 		// Insert the permalink
 		if ( !bp_is_single_activity() )
-			$content .= apply_filters_ref_array( 'bp_activity_permalink', array( sprintf( ' about <a href="%1$s" class="view" title="%2$s">%3$s</a>', bp_activity_get_permalink( $activities_template->activity->id, $activities_template->activity ), esc_attr__( 'View Discussion', 'buddypress' ), $time_since ), &$activities_template->activity ) );
+			$content = apply_filters_ref_array( 'bp_activity_permalink', array( sprintf( '%1$s <a href="%2$s" class="view" title="%3$s">%4$s</a>', $content, bp_activity_get_permalink( $activities_template->activity->id, $activities_template->activity ), esc_attr__( 'View Discussion', 'buddypress' ), $time_since ), &$activities_template->activity ) );
 		else
 			$content .= $time_since;
-
-		if ( is_user_logged_in() && bp_activity_can_comment() )
-			$content .= sprintf( '<a href="%1$s" class="acomment-reply bp-primary-action" id="acomment-comment-%2$d">%3$s</a>', bp_get_activity_comment_link(), bp_get_activity_id(), sprintf( __( 'Reply (<span>%s</span>)', 'buddypress' ), bp_activity_get_comment_count() ) );
 
 		return apply_filters( 'bp_insert_activity_meta', $content );
Index: /trunk/bp-themes/bp-default/_inc/ajax.php
===================================================================
--- /trunk/bp-themes/bp-default/_inc/ajax.php	(revision 4667)
+++ /trunk/bp-themes/bp-default/_inc/ajax.php	(revision 4668)
@@ -178,5 +178,5 @@
 	global $bp;
 
-	/* Check the nonce */
+	// Check the nonce
 	check_admin_referer( 'new_activity_comment', '_wpnonce_new_activity_comment' );
 
@@ -198,7 +198,7 @@
 	$comment_id = bp_activity_new_comment( array(
 		'activity_id' => $_POST['form_id'],
-		'content' => $_POST['content'],
-		'parent_id' => $_POST['comment_id']
-	));
+		'content'     => $_POST['content'],
+		'parent_id'   => $_POST['comment_id']
+	) );
 
 	if ( !$comment_id ) {
@@ -207,32 +207,25 @@
 	}
 
-	if ( bp_has_activities ( 'display_comments=stream&include=' . $comment_id ) ) : ?>
-		<?php while ( bp_activities() ) : bp_the_activity(); ?>
-			<li id="acomment-<?php bp_activity_id() ?>">
-				<div class="acomment-avatar">
-					<a href="<?php echo bp_core_get_userlink( bp_get_activity_user_id(), false, true ); ?>"><?php bp_activity_avatar( array( 'height' => 30, 'width' => 30 ) ); ?></a>
-				</div>
-
-				<div class="acomment-meta">
-					<?php
-					/* translators: 1: user profile link + username, 2: activity item permalink, 3: activity item timestamp */
-					printf( __( '%1$s replied <a href="%2$s">%3$s ago</a>', 'buddypress' ), bp_core_get_userlink( bp_get_activity_user_id() ), bp_get_activity_thread_permalink(), bp_core_time_since( bp_core_current_time() ) );
-					?>
-
-					<a class="acomment-reply bp-primary-action" href="#acomment-<?php bp_activity_id() ?>" id="acomment-reply-<?php echo esc_attr( $_POST['form_id'] ) ?>"><?php _e( 'Reply', 'buddypress' ); ?></a>
-
-					<?php if ( bp_activity_user_can_delete() ) : ?>
-						<div class="acomment-options">
-							<a href="<?php echo wp_nonce_url( bp_get_root_domain() . '/' . bp_get_activity_root_slug() . '/delete/' . bp_get_activity_id() . '?cid=' . $comment_id, 'bp_activity_delete_link' ) ?>" class="delete acomment-delete confirm bp-secondary-action" rel="nofollow"><?php _e( 'Delete', 'buddypress' ); ?></a>
-						</div>
-					<?php endif; ?>
-				</div>
-
-				<div class="acomment-content">
-					<?php bp_activity_content_body(); ?>
-				</div>
-			</li>
-		<?php endwhile; ?>
-	 <?php endif;
+	global $activities_template;
+
+	// Load the nem activity item into the $activities_template global
+	bp_has_activities( 'display_comments=stream&include=' . $comment_id );
+
+	// Swap the current comment with the activity item we just loaded
+	$activities_template->activity->id              = $activities_template->activities[0]->item_id;
+	$activities_template->activity->current_comment = $activities_template->activities[0];
+
+	$template = locate_template( 'activity/comment.php', false, false );
+
+	// Backward compatibility. In older versions of BP, the markup was
+	// generated in the PHP instead of a template. This ensures that
+	// older themes (which are not children of bp-default and won't
+	// have the new template) will still work.
+	if ( empty( $template ) )
+		$template = BP_PLUGIN_DIR . '/bp-themes/bp-default/activity/comment.php';
+
+	load_template( $template, false );
+
+	unset( $activities_template );
 }
 add_action( 'wp_ajax_new_activity_comment', 'bp_dtheme_new_activity_comment' );
Index: /trunk/bp-themes/bp-default/_inc/css/default.css
===================================================================
--- /trunk/bp-themes/bp-default/_inc/css/default.css	(revision 4667)
+++ /trunk/bp-themes/bp-default/_inc/css/default.css	(revision 4668)
@@ -763,9 +763,4 @@
 	font-style: normal;
 }
-a.bp-secondary-action:hover {
-	background: #059AE7;
-	border-color: #059AE7;
-	color: #fff;
-}
 #reply-title {
 	margin-top: 0;
@@ -1043,4 +1038,7 @@
 6.1 - Activity
 --------------------------------------------------------------*/
+#activity-stream {
+	margin-top: -5px;
+}
 #item-body form#whats-new-form {
 	border-bottom: 1px solid #ddd;
@@ -1118,14 +1116,8 @@
 	position: relative;
 }
-.activity-list li.mini div.activity-meta {
-	margin: 0;
-}
-.activity-list li.mini div.activity-meta a {
-	padding: 3px 8px;
-}
 .activity-list li.mini .activity-avatar img.avatar,
 .activity-list li.mini .activity-avatar img.FB_profile_pic {
 	height: 20px;
-	margin-left: 76px;
+	margin-left: 30px;
 	width: 20px;
 }
@@ -1149,22 +1141,8 @@
 }
 .activity-list li.mini .activity-content p {
-	float: left;
 	margin: 0;
 }
-.activity-list li .activity-meta {
-	position: absolute;
-	right: 0;
-	top: 0;
-}
-body.activity-permalink .activity-list .activity-meta {
-	right: 10px;
-	top: 18px;
-}
-body.activity-permalink .activity-list li.mini .activity-meta {
-	position: absolute;
-	right: 15px;
-}
 .activity-list li.mini .activity-comments {
-	clear: left;
+	clear: both;
 	font-size: 12px;
 	margin-top: 30px;
@@ -1172,7 +1150,7 @@
 .activity-list li .activity-inreplyto {
 	background: url( ../images/replyto_arrow.gif ) 7px 0 no-repeat;
-	color: #888;
-	font-size: 11px;
-	margin-left: 70px;
+	color: #bbb;
+	font-size: 11px;
+	margin-left: 0;
 	margin-bottom: 15px;
 	padding-left: 25px;
@@ -1230,5 +1208,5 @@
 }
 .activity-header {
-	margin-right: 130px;
+	margin-right: 20px;
 }
 .activity-header a,
@@ -1243,18 +1221,12 @@
 a.bp-secondary-action,
 span.highlight {
-	background: #ebf7ff;
-	border-bottom: 1px solid #a1dcfa;
-	border-right: 1px solid #a1dcfa;
-	-moz-border-radius: 4px;
-	-webkit-border-radius: 4px;
-	border-radius: 4px;
-	color: #059ae7;
-	font-size: 11px;
-	padding: 3px 8px;
+	font-size: 11px;
+	padding: 0;
+	margin-right: 10px;
 	text-decoration: none;
 }
 .activity-list .activity-content .activity-inner,
 .activity-list .activity-content blockquote {
-	margin: 15px 0;
+	margin: 10px 10px 5px 0;
 	overflow: hidden;
 }
@@ -1277,4 +1249,5 @@
 .activity-read-more {
 	margin-left: 1em;
+	white-space: nowrap;
 }
 .activity-list li.load-more {
@@ -1299,19 +1272,19 @@
 --------------------------------------------------------------*/
 div.activity-meta {
-	clear: left;
-	margin: 0 10px 20px 0;
+	float: left;
+	margin: 5px 0 10px 0;
+	clear: both;
+}
+div.activity-meta a {
+	color: #999;
+}
+div.activity-meta a:hover {
+	color: inherit;
 }
 a.bp-primary-action,
 .comment-reply-link,
 #reply-title small a {
-	background: #fff9db;
-	border-bottom: 1px solid #ffe8c4;
-	-moz-border-radius: 4px;
-	-webkit-border-radius: 4px;
-	border-radius: 4px;
-	border-right: 1px solid #ffe8c4;
-	color: #ffa200;
-	font-size: 11px;
-	padding: 3px 8px;
+	font-size: 11px;
+	margin-right: 10px;
 	text-decoration: none;
 }
@@ -1319,7 +1292,4 @@
 .comment-reply-link:hover,
 #reply-title small a:hover {
-	background: #f7740a;
-	border-color: #f7740a;
-	color: #fff;
 }
 div.activity-comments {
@@ -1328,4 +1298,5 @@
 	position: relative;
 	width: auto;
+	clear: both;
 }
 body.activity-permalink div.activity-comments {
@@ -1347,5 +1318,5 @@
 }
 div.activity-comments ul {
-	clear: left;
+	clear: both;
 }
 div.activity-comments ul li {
@@ -1385,7 +1356,5 @@
 div.activity-comments div.acomment-content {
 	font-size: 11px;
-	margin-left: 39px;
-	margin-top: 5px;
-	margin-bottom: 10px;
+	margin: 5px 20px 0 40px;
 }
 div.acomment-content .time-since,
@@ -1413,4 +1382,5 @@
 div.activity-comments li form.ac-form {
 	margin-right: 15px;
+	clear: both;
 }
 div.activity-comments form.root {
@@ -1460,6 +1430,12 @@
 }
 .acomment-options {
-	float: right;
-	margin-right: 10px;
+	float: left;
+	margin: 5px 0 5px 40px;
+}
+.acomment-options a {
+	color: #999;
+}
+.acomment-options a:hover {
+	color: inherit;
 }
 
Index: /trunk/bp-themes/bp-default/activity/comment.php
===================================================================
--- /trunk/bp-themes/bp-default/activity/comment.php	(revision 4667)
+++ /trunk/bp-themes/bp-default/activity/comment.php	(revision 4668)
@@ -27,20 +27,24 @@
 		printf( __( '<a href="%1$s">%2$s</a> replied <a href="%3$s">%4$s</a>', 'buddypress' ), bp_get_activity_comment_user_link(), bp_get_activity_comment_name(), bp_get_activity_thread_permalink(), bp_get_activity_comment_date_recorded() );
 		?>
+	</div>
+
+	<div class="acomment-content"><?php bp_activity_comment_content(); ?></div>
+
+	<div class="acomment-options">
 
 		<?php if ( is_user_logged_in() && bp_activity_can_comment_reply( bp_activity_current_comment() ) ) : ?>
-			<a href="#acomment-<?php bp_activity_comment_id(); ?>" class="acomment-reply bp-primary-action" id="acomment-reply-<?php bp_activity_id() ?>-from-<?php bp_activity_comment_id() ?>"><?php _e( 'Reply', 'buddypress' ); ?></a>
+
+			<a href="#acomment-<?php bp_activity_comment_id(); ?>" class="acomment-reply bp-primary-action" id="acomment-reply-<?php bp_activity_id() ?>-from-<?php bp_activity_comment_id() ?>"><?php _e( 'Comment', 'buddypress' ); ?></a>
+
 		<?php endif; ?>
 
 		<?php if ( bp_activity_user_can_delete() ) : ?>
-			<div class="acomment-options">
-				<a href="<?php bp_activity_comment_delete_link(); ?>" class="delete acomment-delete confirm bp-secondary-action" rel="nofollow"><?php _e( 'Delete', 'buddypress' ); ?></a>
-			</div>
+
+			<a href="<?php bp_activity_comment_delete_link(); ?>" class="delete acomment-delete confirm bp-secondary-action" rel="nofollow"><?php _e( 'Delete', 'buddypress' ); ?></a>
+
 		<?php endif; ?>
+
 	</div>
 
-	<div class="acomment-content">
-		<?php bp_activity_comment_content(); ?>
-	</div>
-	
 	<?php bp_activity_recurse_comments( bp_activity_current_comment() ); ?>
 </li>
Index: /trunk/bp-themes/bp-default/activity/entry.php
===================================================================
--- /trunk/bp-themes/bp-default/activity/entry.php	(revision 4667)
+++ /trunk/bp-themes/bp-default/activity/entry.php	(revision 4668)
@@ -32,4 +32,13 @@
 		</div>
 
+		<?php if ( 'activity_comment' == bp_get_activity_type() ) : ?>
+
+			<div class="activity-inreplyto">
+				<strong><?php _e( 'In reply to', 'buddypress' ); ?></strong> - <?php bp_activity_parent_content(); ?> &middot;
+				<a href="<?php bp_activity_thread_permalink(); ?>" class="view" title="<?php _e( 'View Thread / Permalink', 'buddypress' ); ?>"><?php _e( 'View', 'buddypress' ); ?></a>
+			</div>
+
+		<?php endif; ?>
+
 		<?php if ( bp_activity_has_content() ) : ?>
 
@@ -44,35 +53,42 @@
 		<?php do_action( 'bp_activity_entry_content' ); ?>
 
-		<div class="activity-meta">
-			<?php
-				// Add the delete link if the user has permission on this item
-				if ( bp_activity_user_can_delete() )
-					bp_activity_delete_link();
-			?>
+		<?php if ( is_user_logged_in() ) : ?>
 
-			<?php if ( is_user_logged_in() && bp_activity_can_favorite() ) : ?>
-				<?php if ( !bp_get_activity_is_favorite() ) : ?>
-					<a href="<?php bp_activity_favorite_link(); ?>" class="fav bp-secondary-action" title="<?php esc_attr_e( 'Mark as Favorite', 'buddypress' ); ?>"><?php _e( 'Favorite', 'buddypress' ) ?></a>
-				<?php else : ?>
-					<a href="<?php bp_activity_unfavorite_link(); ?>" class="unfav bp-secondary-action" title="<?php esc_attr_e( 'Remove Favorite', 'buddypress' ); ?>"><?php _e( 'Remove Favorite', 'buddypress' ) ?></a>
+			<div class="activity-meta">
+
+				<?php if ( bp_activity_can_comment() ) : ?>
+
+					<a href="<?php bp_get_activity_comment_link(); ?>" class="acomment-reply bp-primary-action" id="acomment-comment-<?php bp_activity_id(); ?>"><?php printf( __( 'Comment (<span>%s</span>)', 'buddypress' ), bp_activity_get_comment_count() ); ?></a>
+
 				<?php endif; ?>
-			<?php endif; ?>
 
-			<?php do_action( 'bp_activity_entry_meta' ); ?>
-		</div>
+				<?php if ( bp_activity_can_favorite() ) : ?>
+
+					<?php if ( !bp_get_activity_is_favorite() ) : ?>
+
+						<a href="<?php bp_activity_favorite_link(); ?>" class="fav bp-secondary-action" title="<?php esc_attr_e( 'Mark as Favorite', 'buddypress' ); ?>"><?php _e( 'Favorite', 'buddypress' ) ?></a>
+
+					<?php else : ?>
+
+						<a href="<?php bp_activity_unfavorite_link(); ?>" class="unfav bp-secondary-action" title="<?php esc_attr_e( 'Remove Favorite', 'buddypress' ); ?>"><?php _e( 'Remove Favorite', 'buddypress' ) ?></a>
+
+					<?php endif; ?>
+
+				<?php endif; ?>
+
+				<?php if ( bp_activity_user_can_delete() ) bp_activity_delete_link(); ?>
+
+				<?php do_action( 'bp_activity_entry_meta' ); ?>
+
+			</div>
+
+		<?php endif; ?>
+
 	</div>
-
-	<?php if ( 'activity_comment' == bp_get_activity_type() ) : ?>
-
-		<div class="activity-inreplyto">
-			<strong><?php _e( 'In reply to', 'buddypress' ); ?></strong> - <?php bp_activity_parent_content(); ?> &middot;
-			<a href="<?php bp_activity_thread_permalink(); ?>" class="view" title="<?php _e( 'View Thread / Permalink', 'buddypress' ); ?>"><?php _e( 'View', 'buddypress' ); ?></a>
-		</div>
-
-	<?php endif; ?>
 
 	<?php do_action( 'bp_before_activity_entry_comments' ); ?>
 
 	<?php if ( bp_activity_can_comment() ) : ?>
+
 		<div class="activity-comments">
 			
@@ -81,18 +97,19 @@
 			<?php if ( is_user_logged_in() ) : ?>
 
-			<form action="<?php bp_activity_comment_form_action(); ?>" method="post" id="ac-form-<?php bp_activity_id(); ?>" class="ac-form"<?php bp_activity_comment_form_nojs_display(); ?>>
-				<div class="ac-reply-avatar"><?php bp_loggedin_user_avatar( 'width=' . bp_core_avatar_thumb_width() . '&height=' . bp_core_avatar_thumb_height() ); ?></div>
-				<div class="ac-reply-content">
-					<div class="ac-textarea">
-						<textarea id="ac-input-<?php bp_activity_id(); ?>" class="ac-input" name="ac_input_<?php bp_activity_id(); ?>"></textarea>
+				<form action="<?php bp_activity_comment_form_action(); ?>" method="post" id="ac-form-<?php bp_activity_id(); ?>" class="ac-form"<?php bp_activity_comment_form_nojs_display(); ?>>
+					<div class="ac-reply-avatar"><?php bp_loggedin_user_avatar( 'width=' . BP_AVATAR_THUMB_WIDTH . '&height=' . BP_AVATAR_THUMB_HEIGHT ); ?></div>
+					<div class="ac-reply-content">
+						<div class="ac-textarea">
+							<textarea id="ac-input-<?php bp_activity_id(); ?>" class="ac-input" name="ac_input_<?php bp_activity_id(); ?>"></textarea>
+						</div>
+						<input type="submit" name="ac_form_submit" value="<?php _e( 'Post', 'buddypress' ); ?> &rarr;" /> &nbsp; <?php _e( 'or press esc to cancel.', 'buddypress' ); ?>
+						<input type="hidden" name="comment_form_id" value="<?php bp_activity_id(); ?>" />
 					</div>
-					<input type="submit" name="ac_form_submit" value="<?php _e( 'Post', 'buddypress' ); ?> &rarr;" /> &nbsp; <?php _e( 'or press esc to cancel.', 'buddypress' ); ?>
-					<input type="hidden" name="comment_form_id" value="<?php bp_activity_id(); ?>" />
-				</div>
 
-				<?php do_action( 'bp_activity_entry_comments' ); ?>
-				<?php wp_nonce_field( 'new_activity_comment', '_wpnonce_new_activity_comment' ); ?>
+					<?php do_action( 'bp_activity_entry_comments' ); ?>
 
-			</form>
+					<?php wp_nonce_field( 'new_activity_comment', '_wpnonce_new_activity_comment' ); ?>
+
+				</form>
 
 			<?php endif; ?>